> ## Documentation Index
> Fetch the complete documentation index at: https://terminal49-current-status.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Terminal49 Test Tracking Numbers

> Use Terminal49 test tracking numbers to simulate successful, failed, and edge-case tracking request outcomes and webhook events in your integration.

## Overview

This page includes test `shipment` numbers and other information that you can use to make sure your integration works as planned. Use it to trigger different flows in your integration and ensure they are handled accordingly.

## What are test numbers?

We have created a variety of test numbers that you can use to make calls the  Tracking Request API and create fake shipments. Each number has a specific purpose and alows you to test and integrate specific flows. You can create tests against these numbers and always execpt to receive the same response.
This is helpful when you want to test a specific webhooks notifications (ie: `shipment.eta_changed`, `shipment.vessel_arrived` etc) and you dont have a list of live shipments and containers that are in specific leg of their journey.

## Tracking request API

Shipments are created by making requests to the tracking request API.
When using the API , ensure that:

* you set the test number in `request_number` attribute in the request body
* you set `scac` attribute as 'TEST' in the request body

## Test numbers

| Number.           | Use Case                                  |
| ----------------- | ----------------------------------------- |
| TEST-TR-SUCCEEDED | test `tracking_request.succeeded` webhook |
| TEST-TR-FAILED    | test `tracking_request.failed` webhook    |
